%global zikula_base             %{_datadir}/zikula
%global zikula_moddir           %{zikula_base}/modules
%global zikula_modname          MultiHook

Name:           zikula-module-%{zikula_modname}
Version:        5.0
Release:        5%{?dist}
Summary:        MultiHook is a simple replacement for the old AutoLinks module for Zikula

Group:          Applications/Publishing
License:        GPLv2+ 
URL:            http://code.zikula.org/multihook/
#http://code.zikula.org/multihook/downloads/4

Source0:        %{zikula_modname}_%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:  
Requires:       zikula

%description
MultiHook started as a simple replacement for the old AutoLinks module
(replacing normal text with links), but in the meantime it can handle also
abbreviations and acronyms (replacing text with abbr and acronym-tags) and it
can also censor if wanted (replacing bad words with ***). Links, abbreviations,
acronyms and bad words can be easily defined with some helpful Ajax
functionality. MultiHook was the first module in the Zikula world to use Ajax 
for convenience.


%prep
%setup -qn modules/%{zikula_modname}
# Remove empty index.html and others
find -size 0 | xargs rm -f


%build

# Fixing wrong-file-end-of-line-encoding errors
cd pndocs
sed -i 's/\r//' license.txt
sed -i 's/\r//' install.txt
sed -i 's/\r//' needles_howto.txt
sed -i 's/\r//' credits.txt
sed -i 's/\r//' changelog.txt

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc pndocs/changelog.txt pndocs/license.txt pndocs/credits.txt pndocs/help.txt pndocs/install.txt pndocs/needles_howto.txt
%{zikula_moddir}/%{zikula_modname}


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 5.0-4
- Fixed license in SPEC.

* Thu Jul 09 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 5.0-3
- Fixed wrong-file-end-of-line-encoding errors

* Sun Jun 15 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 5.0-2
- Added docs to the SPEC
- Fixed mix of spaces and tabs in SPEC

* Sun Jun 14 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 5.0-1
- Initial RPM release
